org.apache.poi.xssf.usermodel

## Class XSSFTableColumn

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFTableColumn

-     public class XSSFTableColumn
      extends java.lang.Object

  A table column of an `XSSFTable`. Use `XSSFTable.createColumn(java.lang.String)` to create new table columns.
  Since:
    4.0.0
  Author:
    Leonard Kappe

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFTableColumn(XSSFTable table, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn ctTableColumn)` Create a new table column.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnIndex()` Get the column's position in its table, staring with zero from left to right.
    `long` | `getId()` Get the identifier of this column, which is is unique per table.
    `java.lang.String` | `getName()` Get the name of the column, which is is unique per table.
    `XSSFTable` | `getTable()` Get the table which contains this column
    `XSSFXmlColumnPr` | `getXmlColumnPr()` Get the XmlColumnPr (XML column properties) if this column has an XML mapping.
    `void` | `setId(long columnId)` Set the identifier of this column, which must be unique per table.
    `void` | `setName(java.lang.String columnName)` Get the name of the column, which is is unique per table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFTableColumn

          @Internal
          protected XSSFTableColumn(XSSFTable table,
                                              org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn ctTableColumn)

      Create a new table column.
      Parameters:
        `table` - the table which contains the column
        `ctTableColumn` - the table column xmlbean to wrap
      Since:
        4.0.0

  - ### Method Detail

    - #### getTable

          public XSSFTable getTable()

      Get the table which contains this column
      Returns:
        the table containing this column
      Since:
        4.0.0

    - #### getId

          public long getId()

      Get the identifier of this column, which is is unique per table.
      Returns:
        the column id
      Since:
        4.0.0

    - #### setId

          public void setId(long columnId)

      Set the identifier of this column, which must be unique per table. It is up to the caller to enforce the uniqueness of the id.
      Parameters:
        `columnId` - the column id
      Since:
        4.0.0

    - #### getName

          public java.lang.String getName()

      Get the name of the column, which is is unique per table.
      Returns:
        the column name
      Since:
        4.0.0

    - #### setName

          public void setName(java.lang.String columnName)

      Get the name of the column, which is is unique per table.
      Parameters:
        `columnName` - the column name
      Since:
        4.0.0

    - #### getXmlColumnPr

          public XSSFXmlColumnPr getXmlColumnPr()

      Get the XmlColumnPr (XML column properties) if this column has an XML mapping.
      Returns:
        the XmlColumnPr or `null` if this column has no XML mapping
      Since:
        4.0.0

    - #### getColumnIndex

          public int getColumnIndex()

      Get the column's position in its table, staring with zero from left to right.
      Returns:
        the column index
      Since:
        4.0.0

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.